namespace FitConnect;

public interface IFitConnectSettings {
    string PrivateKeyDecryption { get; init; }
    string PrivateKeySigning { get; init; }
    string PublicKeyEncryption { get; init; }
    string PublicKeySignatureVerification { get; init; }
    string SenderClientId { get; init; }
    string SenderClientSecret { get; init; }
    string SubscriberClientId { get; init; }
    string SubscriberClientSecret { get; init; }
    string DestinationId { get; init; }
    string LeikaKey { get; init; }
    string CallbackSecret { get; init; }
    string SetPublicKeys { get; init; }
}
