using FitConnect.Models.v1.Api;
using Newtonsoft.Json;

namespace FitConnect.Models;

public class AcceptSubmissionEvent : SubmitSubmissionEvent, ISubmissionEvent, IStatusWithProblems {
    public AcceptSubmissionEvent() {
    }

    public AcceptSubmissionEvent(AuthenticationTags payload) {
        this.AuthenticationTags = payload;
    }

    [JsonProperty("problems", NullValueHandling = NullValueHandling.Ignore)]
    public List<Problems>? Problems { get; set; }
}

public interface IStatusWithProblems {
    public List<Problems>? Problems { get; set; }
}